- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moNoAspirCrit< M > Class Template Reference

One of the possible aspiration criterion (moAspirCrit). More...

`#include <moNoAspirCrit.h>`

Inheritance diagram for moNoAspirCrit< M >:

List of all members.

## Private Member Functions
bool | operator() (const M &__move, const typename M::EOType::Fitness &__sol)
| Function which describes the aspiration criterion behaviour.
void | init ()
| Procedure which initialises all that needs a moNoAspirCrit.

## Detailed Description

### template<class M>
class moNoAspirCrit< M >

One of the possible aspiration criterion (moAspirCrit).

The simplest : never satisfied.

Definition at line 21 of file moNoAspirCrit.h.

## Member Function Documentation

template<class M>

bool moNoAspirCrit< M >::operator() | ( | const M & | __move,
|  | const typename M::EOType::Fitness & | __sol |
| ) |  |  | `[inline, private]`

Function which describes the aspiration criterion behaviour.

Does nothing.

Parameters:

  | __move | a move.
  | __sol | a fitness.

Returns:
  FALSE.

Definition at line 32 of file moNoAspirCrit.h.

template<class M>

void moNoAspirCrit< M >::init | ( |  | ) | `[inline, private, virtual]`

Procedure which initialises all that needs a moNoAspirCrit.

Nothing...

Implements moAspirCrit< M >.

Definition at line 43 of file moNoAspirCrit.h.

The documentation for this class was generated from the following file:

- moNoAspirCrit.h